Subject: Re: bug#5047: 23.1; emacs is failing to build on Fedora 12 64 bit
From: Jan Djärv <[email-masked]>
To: Praveen A <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 30 Nov 2009 11:59:25 +0100

Ah, I tested with Emacs from CVS head.  This has been fixed there:

2009-10-23  Jim Meyering  <[email-masked]>

         * configure.in: Invoke $CPP with -P when creating Makefile and
         src/Makefile.  Without this, gcc 4.4.2 converts each
         backslash-newline pair in the input to a bare newline, yielding
         invalid Makefiles.

Running
% CPPFLAGS=-P ./configure ...

works. This is what you have to do until 23.2 comes out.

	Jan D.

Praveen A skrev 2009-11-30 10.19:
> 2009/11/29 Jan Djärv<[email-masked]>:
>> I've tried this on Fedora 12 and I do not get the error.
>> Please show us the exact commands you do, and the output from
>> gcc --version.
>>
>> Also check if you have any environment variable that may have impact on
>> configure, such as CFLAGS, CPPFLAGS, GCC.  To make sure environment isn't
>> the cause, try something like:
>>
>> % env -i HOME="$HOME" PATH="$PATH" SHELL="$SHELL" TERM="$TERM" ./configure
>> ...
>>
>> I haven't tried that, so you may have to add some variables if configure
>> complains.
>>
>> Thanks,
>>
>>         Jan D.
>>
>
> See https://bugzilla.redhat.com/show_bug.cgi?id=540921#c4
>
> It is an issue with cpp 4.4.2, it does not happen with older version of cpp.
>
> - Praveen
>